﻿/*************************************\
 *         PerformanceCounter        *
 *                                   *
 * Kapitel: Wichtige C#-Klassen      *
 * Zuordnung: C#-Buch V2.0 7.4       *
 *                                   *
 *  Copyright 2015 by Benjamin Jung  *
\*************************************/
using System;
using System.Diagnostics;
using System.Threading;

namespace CSV20.Performance_Counter
{
    class Program
    {
        static void Main(string[] args)
        {
            // Übersicht über Konstruktor-Parameter                     CategoryName    CounterName                 InstanceName (nicht immer benötigt)
            PerformanceCounter oPerformanceCpu = new PerformanceCounter("Processor",    "% Processor Time",         "_Total");
            PerformanceCounter oPerformanceRam = new PerformanceCounter("Memory",       "% Committed Bytes In Use");
            PerformanceCounter oPerformancePf = new PerformanceCounter( "Paging File",  "% Usage",                  "_Total");
            
            while (!Console.KeyAvailable)       // warten bis Taste gedrückt wird
            {
                Console.WriteLine("CPU:       {0:F2} %", oPerformanceCpu.NextValue());
                Console.WriteLine("RAM:       {0:F2} %", oPerformanceRam.NextValue());
                Console.WriteLine("Page-File: {0:F2} %", oPerformancePf.NextValue());
                Console.WriteLine();
                Thread.Sleep(500);              // aktuellen Thread (dazu später mehr) 500 ms pausieren
            }
        }
    }
}